# base64Decode

    text base64Decode(text, flags)

Decode a Base64 text to characters in the UTF-8 charset or an hexadecimal representation of bytes.

Flags:

Flag | Description
--- | ---
`"h"` | Decode to hexadecimal (text) representation, see hexEncode function.
`"u"` | Expect the “URL and filename safe” variant of Base64 where - and _ are used in place of + and /.

## Parameters

1. text — Base64 text to decode.
2. flags — optional text where each character is a flag.

## Returns

- the decoded characters or an hexadecimal representation there of.